Ground Truth Dataset Medieval Greek Manuscripts -- Codex heidelbergensis palatinus graecus 23
============================================================================

![characters badge](badges/characters.svg) ![regions badge](badges/regions.svg) ![lines badge](badges/lines.svg) ![files badge](badges/files.svg) 

<!-- to be completed:
	[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.123.svg)](https://doi.org/10.5281/zenodo.123)
-->

Dataset of HTR ground truth for the *Codex palatinus graecus* 23 (Palatine Anthology), byzantine writing from the X<sup>th</sup> century.

## Dataset description

Our groundtruth has been collected on folios from the [heidelbergensis palatinus graecus 23](https://doi.org/10.11588/diglit.3449#0515) (X<sup>th</sup> century). 

The initial transcription model prototype was trained using a set of 50 pages of the CP23 (143-195). Subsequently, we refined this model by incorporating an additional 20 pages (196-215) in order to create our first version of a transcription model for Greek manuscripts. The transcriptions of these 70 pages are available in the data/CPgr23 directory.

## Transcription guidelines

### Interlinear Addition

Interlinear additions are transcribed when they form complete words, abbreviations or obvious corrections.

### Character Standardization

Sigma is always transcribed "σ" and never "ς". This decision reflects the scribe's practice of using exclusively "σ".

### Symbols

Every significant symbol was assigned a Unicode symbol using a correspondence table (see [table_CPgr23.csv](./data/table_CPgr23.csv) for every character used in our transcription).

A [virtual keyboard](./data/AP.json) have been made using eScriptorium platform to help transcribing symbols.

These symbols have been chosen to be as similar as possible to the symbols used in the manuscript.

|               Context               | Symbol | Unicode hexadecimal |
|:-----------------------------------:|:------:|:-------------------:|
|       Beginning of an epigram        |   ⁘    |       U+205B        |
|          End of an epigram          |   ⋇    |       U+22C7        |
| Beginning of a scholia in the margin |   ∻    |       U+223B        |
| Beginning of a scholia in main text  |   ※    |       U+203B        |
|          End of a scholia           |   \~   |       U+301C        |

### Punctuation

Every punctuation sign have been simplified and transcribed as an interpunct (·).

### Abbreviations

All abbreviations have been transcribed in expanded form: for example, "ȣ" is transcribed "ου" and "ϗ" is transcribed "καί".

## Model description

3 transcription models for were trained using this dataset. They can be found here: 

- [HTR Model Palatinus graecus 23 (Meleagre-NFD-finetuned)](https://doi.org/10.5281/zenodo.10912724) -- accuracy ; 91,05%;
- [HTR Model Palatinus graecus 23 (Meleagre-NFD)](https://doi.org/10.5281/zenodo.10912646) -- accuracy ; 90,85%;
- [HTR Model Palatinus graecus 23 (Meleagre-NFC)](https://doi.org/10.5281/zenodo.10912497) -- accuracy ; 91,00%.

## Images

This ground truth is based on images of the codex *heidelbergensis palatinus graecus* 23, which has been digitized by the Universitätsbibliothek Heidelberg. The first part of the manuscript is kept there; the second part is at the BNF and identified as the *Supplementum graecum 384*. These digitized images were then uploaded to eScriptorium using IIIF. Find the manuscript [here](https://doi.org/10.11588/diglit.3449). 

## Sources


|               Place               |       Library        |    Signature     |          Date          | Pages transcribed |                         IIIF Manifest URL                         |
|:----------:|:----------:|:----------:|:----------:|:----------:|:----------:|
| Universitätsbibliothek Heidelberg | Bibliotheca Palatina | Cod. Pal. gr. 23 | X<sup>th</sup> century |    p. 143-215     | https://digi.ub.uni-heidelberg.de/diglit/iiif3/cpgraec23/manifest |


## Segmentation

The [SegmOnto](https://segmonto.github.io/) ontology was used to classify regions and lines of the manuscript.

## How to cite

### Cite the Model

<!-- add Bibtex citation for the model -->

See the Zenodo page of each model. 

### Cite the Dataset

> Guénette, M., Verstraete, M., Chagué, A., & Vitali-Rosati, M. Codex palatinus graecus 23 - Ground Truth Dataset Medieval Greek Manuscripts [Data set]. https://gitlab.huma-num.fr/ecrinum/anthologia/htr_cpgr23. 

```
@misc{Guenette_Codex_palatinus_graecus,
author = {Guénette, Maxime and Verstraete, Mathilde and Chagué, Alix and Vitali-Rosati, Marcello},
title = {{Codex palatinus graecus 23 - Ground Truth Dataset Medieval Greek Manuscripts}},
url = {https://gitlab.huma-num.fr/ecrinum/anthologia/htr_cpgr23}
}
```

## Further readings

Maxime Guénette, Mathilde Verstraete, Marcello Vitali-Rosati, Alix Chagué. Transcrire un manuscrit en grec ancien : Un modèle de reconnaissance automatique pour le codex Palatinus graecus 23. Humanistica 2024, Association francophone des humanités numériques, May 2024, Meknès, Maroc. [see on HAL](https://hal.science/hal-04563548v1)

## Infrastructure

This dataset project relied on the [CREMMA](https://cremmacall.sciencescall.org/) infrastructure.

## Funding 

This project and its resulting models are part of the [Anthologia graeca project](https://anthologiagraeca.org/) let by the Canada Research Chair on Digital Textualities. 

This dataset and its resulting models were created and are maintained by Maxime Guénette (@mguenette), Mathilde Verstraete (@mverstraete), Alix Chagué (@achague), Marcello Vitali-Rosati (@marviro). 

## License 

This work is licensed under CC BY 4.0. To view a copy of this license, visit http://creativecommons.org/licenses/by/4.0/